%global momorel 5
Summary: Mono-based implementation of Silverlight
Name: moon
Version: 0.7
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Libraries
URL: http://www.mono-project.com/Moonlight
# svn co svn://anonsvn.mono-project.com/source/trunk/moon
Source0: ftp://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: moon-0.7-x86_64.patch

# build fix only
Patch1: moon-0.7-ssize_t.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: mono-core >= 1.9
BuildPrereq: mono-devel >= 1.9.1.01
BuildPrereq: ffmpeg-devel

%description
A page to track the various projects that make up the Mono-based
implementation of Silverlight.

The goals are:

    * To run Silverlight applications on Linux.
    * To provide a Linux SDK to build Silverlight applications.
    * To reuse the Silverlight engine we have built for desktop
      applications.


%package mozplugin
Summary: Mozilla plugin for %{name}
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}

%description mozplugin
Mozilla plugin for %{name}

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q
%if %{_lib}=="lib64"
%patch0 -p1 -b .x86_64
%endif

%patch1 -p1 -b .ssize_t

%build
%configure \
    --enable-user-plugin \
    --with-ffmpeg=no \
    --with-ff3=yes \
    --with-mono=yes \
    --with-cairo=embeded
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la

# for mozplugin
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
cp %{buildroot}%{_libdir}/%{name}/plugin/* %{buildroot}%{_libdir}/mozilla/plugins

# for ffmpeg3
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins/moonlight
ln -s ../../../libavutil.so %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libavutil.so
ln -s ../../../libavcodec.so %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libavcodec.so

# for moonlight
ln -s ../../../libmono.so %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libmono.so
ln -s ../../../libmoon.so %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libmoon.so
ln -s ../../../moon/plugin/libmoonplugin.so %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libmoonplugin.so

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libmoon.so.*
%{_libdir}/%{name}
%{_prefix}/lib/mono/2.1/Mono.Moonlight.dll
%{_prefix}/lib/mono/2.1/System.Windows.Browser.dll
%{_prefix}/lib/mono/2.1/System.Windows.dll
%{_prefix}/lib/mono/3.0/Mono.Moonlight.dll
%{_prefix}/lib/mono/3.0/System.Windows.Browser.dll
%{_prefix}/lib/mono/3.0/System.Windows.dll
%{_prefix}/lib/mono/gac/Mono.Moonlight
%{_prefix}/lib/mono/gac/System.Windows.Browser
%{_prefix}/lib/mono/gac/System.Windows

%files mozplugin
%{_libdir}/mozilla/plugins/*

%files devel
%defattr(-, root, root)
%{_includedir}/libmoon
%{_libdir}/libmoon.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Jul 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-5m)
- disable ffmpeg (does not work)

* Thu Jul 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-4m)
- add mozplugin package

* Mon Jul  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-3m)
- update x86_64.patch and modify %%files for x86_64

* Sat Jul  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-2m)
- rebuild mono svn version
- to main

* Sat Jul  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-1m)
- update to 0.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.020080316-4m)
- rebuild against gcc43

* Sat Mar 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.020080316-3m)
- add workaround for ffmpeg

* Thu Mar 20 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.0.020080316-2m)
- add x86_64 patch and modify spec file

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.020080316-1m)
- initila build
